/*
 * Created on 29.09.2003
 *
 */
package custom.forms.io;

import org.jdom.Element;

import de.kleopatra.forms.view.builder.FormDescription;

/**
 * @author (C) Jeanette Winzenburg, Berlin
 * @version $Revision: 1.1.1.1 $ - $Date: 2003/12/02 15:18:48 $
 */
public class FormDescriptionJDomIOHandler extends AbstractJDomIOHandler {

	public static final String JDOM_FORM_EXTENSION = ".fd2";
	public static final String JDOM_FORM_DESCRIPTION = "FormDescription (jdom)";
	public Class getHandledClass() {
		return FormDescription.class;
	}

	public String getExtension() {
		return JDOM_FORM_EXTENSION;
	}

	public String getDescription() {
		return JDOM_FORM_DESCRIPTION;
	}

//------------------ overridden super
	protected void genXml(Object object, Element form) {
		genFormXml((FormDescription) object, form);
	}

	protected boolean checkType(Object object) {
		return object instanceof FormDescription;
	}
}
