/*
 * Created on 29.09.2003
 *
 */
package custom.forms.io;

import org.jdom.Element;

import de.kleopatra.view.presentation.Presentation;

/**
 * @author (C) Jeanette Winzenburg, Berlin
 * @version $Revision: 1.1.1.1 $ - $Date: 2004/05/11 09:55:21 $
 */
public class PresentationJDomIOHandler extends AbstractJDomIOHandler {

	public Class getHandledClass() {
		return Presentation.class;
	}

	public String getExtension() {
		return ".ppp";
	}

	public String getDescription() {

		return "Presentation (jdom - not yet tested)";
	}

//------------------------overridden super
	protected void genXml(Object object, Element form) {
		genPresentationXml((Presentation) object, form);
	}

	protected boolean checkType(Object object) {
		return object instanceof Presentation;
	}
}
