/*
 * Created on 05.09.2003
 */
package custom.forms.io;

import javax.swing.JFrame;
import javax.swing.JPanel;

import de.kleopatra.forms.view.builder.FormFactory;
import de.kleopatra.forms.view.builder.FormLoader;
import de.kleopatra.persistence.ResourceKeys;

/**
 * @author Seessle
 */
public class TestJDomIOHandler extends JFrame {

	public static void main(String[] args) {

		// set the system property to use custom IOHandlers application wide
		new TestJDomIOHandler();
	}

	private TestJDomIOHandler() {
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		System.getProperties().setProperty(ResourceKeys.DEFAULT_IOHANDLER_MAP_KEY,
				"custom.forms.io.JDomIOHandlerMap");
		FormLoader formLoader = FormFactory.getFormLoader();
		JPanel content = (JPanel) formLoader.load("np-form2", getClass());
		getContentPane().add(content);
		pack();
		setVisible(true);
	}
}
