/*
 * Created on 09.09.2003
 *
 */
package custom.forms.view;

import javax.swing.*;

/** Testcomponent to demonstrate usage of custom components.
 *
 * @author (C) Jeanette Winzenburg, Berlin
 * @version $Revision: 1.1.1.1 $ - $Date: 2003/12/02 15:18:48 $
 */
public class JButtonedText extends JPanel {

	private JTextField text;
	private JButton button;
	public JButtonedText() {
		super();
		initComponents();
	}

	public void setText(String content) {
		text.setText(content);
	}

	public void setAction(Action action) {
		button.setAction(action);
	}

	public Action getAction() {
		return button.getAction();
	}

	private void initComponents() {
		text = new JTextField(20);
		button = new JButton();
		add(text);
		add(button);
	}
}
