/*
 * Created on 09.09.2003
 *
 */
package custom.forms.view;

import java.util.Set;

import de.kleopatra.view.factory.SwingComponentTypeMap;

/**
 * Sample custom ComponentTypeMap that demonstrates several 
 * possibilities to support mapping of custom types.
 * 
 * 
 * @author (C) Jeanette Winzenburg, Berlin
 * @version $Revision: 1.2 $ - $Date: 2004/09/30 10:16:41 $
 */
public class JDNCComponentTypeMap extends SwingComponentTypeMap {

	/** make sure to return types created by custom mechanism.
	 *  super will return all generic types registered via
	 *  via addComponentType and addComponentInstantiator. 
	 */
	public Set getComponentTypes() {
		Set set = createSet();
		set.addAll(super.getComponentTypes());
		set.add("TestComponent.red");
		return set;
	}
	/** support mapping by custom mechanism.
	 * 
	 */
	protected Object factoryHook(Object componentType) {
//		if ("TestComponent.red".equals(componentType)) {
//				return new TestComponentRed();
//		}
		return super.factoryHook(componentType);
	}

//	protected void initComponentTypes() {
//		super.initComponentTypes();
//		addComponentType("DatePicker", JDatePicker.class);
//		addComponentType("ImagePanel", JImagePanel.class);
//		addComponentType("StatusBar", JStatusBar.class);
//		addComponentType("TreeTable", JTreeTable.class);
//	}
//
//	protected void initInstantiatorTypes() {
//		super.initInstantiatorTypes();
//		// remove the default mapping...
//		getComponentMap().remove("Table");
//		// add mapping by Instantiator
//		addComponentInstantiator("Table", new Instantiator() {
//
//			public Object instantiate() {
//			  JTable table = new JXTable();
//			  if (Boolean.TRUE.equals(UIManager.get("swingempire.designTableModel"))) {
//			    table.setModel(new DefaultTableModel(10, 3));
//			  }
//				return table;
//			}
//			
//		});
//		
//	}
	
}
